# If you want only apis and components to be built,
# give rpmbuild option '--with apicomponly'
%define with_apicomponly %{?_with_apicomponly:1}%{!?_with_apicomponly:0}
%define without_apicomponly %{!?_with_apicomponly:1}%{?_with_apicomponly:0}


%define section		free
%define bname		jetspeed
%define mstone		-M4

Name:		portals-%{bname}2
Version:	2.0
Release:	0.cvs20050926.1jpp
Epoch:		0
Summary:	Jetspeed2 Enterprise Portal
License:	Apache Software License 2.0
Url:		http://excalibur.apache.org/
Group:		Development/Libraries/Application Frameworks
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	jetspeed2-cvs20050926.tar.gz
# svn export http://svn.apache.org/repos/asf/portals/jetspeed-2/trunk jetspeed-2
Source1:        pom-maven2jpp-depcat.xsl
Source2:        pom-maven2jpp-newdepmap.xsl
Source3:        pom-maven2jpp-mapdeps.xsl
Source4:        jetspeed2-2.0-jpp-depmap.xml
Source5:        jetspeed2-2.0-app-servers-security-jboss-navigation.xml
Patch0:         jetspeed2-project_xml.patch
BuildRequires:	maven
BuildRequires:	junit
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  java-devel >= 0:1.4
BuildRequires:	ant >= 0:1.6
BuildRequires:	saxon, saxon-scripts
BuildRequires:	antlr
BuildRequires:	jmock
BuildRequires:	mockrunner

BuildRequires:	aopalliance
BuildRequires:	excalibur-avalon-framework-api
BuildRequires:	excalibur-avalon-logkit
BuildRequires:	batik
BuildRequires:	castor
BuildRequires:	cglib
BuildRequires:	jakarta-commons-beanutils
BuildRequires:	jakarta-commons-codec
BuildRequires:	jakarta-commons-collections
BuildRequires:	jakarta-commons-configuration
BuildRequires:	jakarta-commons-dbcp
BuildRequires:	jakarta-commons-digester
BuildRequires:	jakarta-commons-el
BuildRequires:	jakarta-commons-fileupload
BuildRequires:	jakarta-commons-httpclient
BuildRequires:	jakarta-commons-io
BuildRequires:	jakarta-commons-lang
BuildRequires:	jakarta-commons-logging
BuildRequires:	jakarta-commons-pool
BuildRequires:	jakarta-commons-validator
BuildRequires:	jakarta-taglibs-standard
BuildRequires:	jakarta-taglibs-supported-request
BuildRequires:	db-ojb
BuildRequires:	fop
BuildRequires:	geronimo-specs
BuildRequires:	gnu.getopt
BuildRequires:	hsqldb
BuildRequires:	ibatis
BuildRequires:	jaxen
BuildRequires:	jdom
BuildRequires:	lucene
BuildRequires:	mx4j
BuildRequires:	log4j
BuildRequires:	myfaces
BuildRequires:	nekohtml
BuildRequires:	oro
BuildRequires:	portals-pluto
BuildRequires:	portlet-1.0-api
BuildRequires:	regexp
BuildRequires:	servletapi4
BuildRequires:	spring11
BuildRequires:	struts
BuildRequires:	tyrex
BuildRequires:	velocity
BuildRequires:	velocity-tools
BuildRequires:	xalan-j2
BuildRequires:	xerces-j2
BuildRequires:	xml-commons-apis
BuildRequires:  portals-bridges-common
BuildRequires:  portals-bridges-velocity
BuildRequires:  portals-bridges-frameworks
BuildRequires:  portals-bridges-jsf
BuildRequires:  portals-bridges-perl
BuildRequires:  portals-bridges-php
BuildRequires:  portals-bridges-struts
BuildRequires:  phpportlet
BuildRequires:  rome

BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Jetspeed-2 is the next-generation enterprise portal at Apache. 
Jetspeed-2 offers several architectural enhancements and 
improvements over Jetspeed 1.0. First, Jetspeed-2 is conformant 
to the Java Portlet Standard and will provide a standard 
mechanism for the deployment of portlets. Second, Jetspeed-2 
has matured to a more scalable architecture featuring 
multi-threaded functionality. Third, Jetspeed-2 is decoupled 
from several legacy open source projects. Fourth, Jetspeed-2 
is based on a component architecture. 
Jetspeed is an Open Source implementation of an Enterprise 
Information Portal, using Java and XML. A portal makes network 
resources (applications, databases and so forth) available to 
end-users. The user can access the portal via a web browser, 
WAP-phone, pager or any other device. Jetspeed acts as the 
central hub where information from multiple sources are made 
available in an easy to use manner. 
The data presented via Jetspeed is independent of content type. 
This means that content from for example XML,RSS or SMTP can be 
integrated with Jetspeed. The actual presentation of the data is 
handled via ates XSL and delivered to the user for example via 
the combination of Java Server Pages (JSPs) and HTML. Jetspeed 
provides support for templating and content publication 
frameworks such as Cocoon, WebMacro and Velocity. Note that 
outside of regular browser Jetspeed also supports WAP devices. 


%package maven-plugin
Summary:        Maven plugin for %{name}
Group:          Development/Libraries
Requires:	hsqldb

%description maven-plugin
%{summary}.

%package maven-plugin-javadoc
Summary:        Javadoc for %{name} maven plugin
Group:          Development/Documentation

%description maven-plugin-javadoc
%{summary}.

%package portlet-1.0-api
Summary:        Portlet API 1.0 from %{name}
Group:          Development/Libraries

%description portlet-1.0-api
%{summary}.

%package portlet-1.0-api-javadoc
Summary:        Javadoc for Portlet API 1.0 from %{name}
Group:          Development/Documentation

%description portlet-1.0-api-javadoc
%{summary}.

%package api
Summary:        API of %{name}
Group:          Development/Libraries
Requires:	portlet-1.0-api
Requires:	servletapi4
Requires:	portals-pluto
Requires:	phpportlet

%description api
%{summary}.

%package api-javadoc
Summary:        Javadoc for API of %{name}
Group:          Development/Documentation

%description api-javadoc
%{summary}.

%package commons
Summary:        Common utils of %{name}
Group:          Development/Libraries
Requires:	%{name}-api
Requires:	portlet-1.0-api
Requires:	servletapi4
Requires:	portals-pluto
Requires:	portals-bridges-common

%description commons
%{summary}.

%package commons-javadoc
Summary:        Javadoc for common utils of %{name}
Group:          Development/Documentation

%description commons-javadoc
%{summary}.

%package components
Summary:        Components of %{name}
Group:          Development/Libraries
Requires:	%{name}-api
Requires:	%{name}-commons
Requires:	%{name}-content-server
Requires:	jsse, jndi
Requires:	portlet-1.0-api
Requires:	servletapi4
Requires:	aopalliance
Requires:	castor
Requires:	jakarta-commons-codec
Requires:	jakarta-commons-collections
Requires:	jakarta-commons-configuration
Requires:	jakarta-commons-dbcp
Requires:	jakarta-commons-digester
Requires:	jakarta-commons-fileupload
Requires:	jakarta-commons-httpclient
Requires:	jakarta-commons-io
Requires:	jakarta-commons-lang
Requires:	jakarta-commons-logging
Requires:	jakarta-commons-pool
Requires:	jdom
Requires:	log4j
Requires:	lucene
Requires:	nekohtml
Requires:	odmg
Requires:	db-ojb
Requires:	portals-pluto
Requires:	portals-bridges-common
Requires:	portals-bridges-velocity
Requires:	spring11
Requires:	tyrex
Requires:	velocity
Requires:	xalan-j2
Requires:	xerces-j2
Requires:	xml-commons-apis

%description components
%{summary}.

%package components-javadoc
Summary:        Javadoc for components of %{name}
Group:          Development/Documentation

%description components-javadoc
%{summary}.

%package content-server
Summary:        Content server of %{name}
Group:          Development/Libraries
Requires:	jakarta-commons-logging
Requires:	portals-pluto
Requires:	servletapi4

%description content-server
%{summary}.

%package content-server-javadoc
Summary:        Javadoc for content server of %{name}
Group:          Development/Documentation

%description content-server-javadoc
%{summary}.

%package app-servers
Summary:        App-server stuff of %{name}
Group:          Development/Libraries
Requires:	%{name}-components
Requires:	%{name}-api
Requires:	mx4j
Requires:	jndi, jsse
Requires:	db-ojb
Requires:	spring11

%description app-servers
%{summary}.

%package app-servers-javadoc
Summary:        Javadoc for app-server stuff of %{name}
Group:          Development/Documentation

%description app-servers-javadoc
%{summary}.

%package taglibs
Summary:        Taglibs of %{name}
Group:          Development/Libraries
Requires:	portlet-1.0-api
Requires:	servletapi4

%description taglibs
%{summary}.

%package taglibs-javadoc
Summary:        Javadoc for taglibs of %{name}
Group:          Development/Documentation

%description taglibs-javadoc
%{summary}.

%package layout-portlets
Summary:        Layout portlets of %{name}
Group:          Development/Libraries
Requires:	%{name}-api
Requires:	%{name}-commons
Requires:	portlet-1.0-api
Requires:	jakarta-commons-configuration
Requires:	jakarta-commons-logging
Requires:	portals-pluto

%description layout-portlets
%{summary}.

%package layout-portlets-javadoc
Summary:        Javadoc for layout portlets of %{name}
Group:          Development/Documentation

%description layout-portlets-javadoc
%{summary}.

%package applications
Summary:        Applications of %{name}
Group:          Development/Libraries
Requires:	%{name}-api
Requires:	%{name}-commons
Requires:	%{name}-taglibs
Requires:	ibatis
Requires:	jsf
Requires:	jndi, jsse
Requires:	portlet-1.0-api
Requires:	servletapi4
Requires:	xml-commons-apis
Requires:	myfaces
Requires:	portals-pluto
Requires:	rome
Requires:	struts
Requires:	velocity
Requires:	spring11
Requires:	portals-bridges-common
Requires:	portals-bridges-frameworks
Requires:	portals-bridges-jsf
Requires:	portals-bridges-perl
Requires:	portals-bridges-php
Requires:	portals-bridges-struts
Requires:	portals-bridges-velocity
Requires:	jakarta-commons-beanutils
Requires:	jakarta-commons-dbcp
Requires:	jakarta-commons-digester
Requires:	jakarta-commons-logging

%description applications
%{summary}.

%package applications-javadoc
Summary:        Javadoc for applications of %{name}
Group:          Development/Documentation

%description applications-javadoc
%{summary}.


%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
rm -rf $RPM_BUILD_ROOT
cat <<EOT


If you want only apis and components to be built,
give rpmbuild option '--with apicomponly'


EOT
%setup -q -n jetspeed2-cvs20050926
# remove all binary libs
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
	mv $j $j.no
done
mkdir -p app-servers/security/jboss/xdocs
cp %{SOURCE5} app-servers/security/jboss/xdocs/navigation.xml

%patch0 -b .sav

%build
export DEPCAT=$(pwd)/jetspeed2-2.0-depcat.new.xml
echo '<?xml version="1.0" standalone="yes"?>' > $DEPCAT
echo '<depset>' >> $DEPCAT
for p in core-build.xml full-portal.xml jetspeed-components.xml $(find . -name project.xml); do
    pushd $(dirname $p)
    /usr/bin/saxon $(basename $p) %{SOURCE1} >> $DEPCAT
    popd
done
echo >> $DEPCAT
echo '</depset>' >> $DEPCAT
/usr/bin/saxon $DEPCAT %{SOURCE2} > jetspeed2-2.0-depmap.new.xml
for p in core-build.xml full-portal.xml jetspeed-components.xml $(find . -name project.xml); do
    pushd $(dirname $p)
    cp $(basename $p) $(basename $p).orig
    /usr/bin/saxon -o $(basename $p) $(basename $p).orig %{SOURCE3} map=%{SOURCE4}
    popd
done

for p in $(find . -name project.properties); do
    echo >> $p
    echo maven.repo.remote=file:/usr/share/maven-1.0/repository >> $p
    echo maven.home.local=$(pwd)/.maven >> $p
done

rm -rf .maven/repository/maven/jars
mkdir -p .maven/repository/maven/jars
build-jar-repository .maven/repository/maven/jars maven-jelly-tags

rm -rf .maven/repository/JPP/plugins
mkdir -p .maven/repository/JPP/plugins
build-jar-repository -s -p .maven/repository/JPP/plugins \
maven-torque-plugin \



rm -rf .maven/repository/JPP/jars
mkdir -p .maven/repository/JPP/jars
build-jar-repository -s -p .maven/repository/JPP/jars \
antlr \
aopalliance \
batik/awt-util \
batik/bridge \
batik/css \
batik/dom \
batik/ext \
batik/gvt \
batik/parser \
batik/svg-dom \
batik/swing \
batik/transcoder \
batik/util \
castor \
cglib \
commons-beanutils \
commons-codec \
commons-collections \
commons-configuration \
commons-dbcp \
commons-digester \
commons-el \
commons-fileupload \
commons-httpclient \
commons-io \
commons-lang \
commons-logging \
commons-pool \
commons-validator \
db-ojb/db-ojb \
excalibur/avalon-framework-api \
excalibur/avalon-logkit \
fop \
geronimo/spec-jta-1.0.1B \
hsqldb \
ibatis-common \
ibatis-dao \
ibatis-sqlmap \
jaxen \
jdbc-stdext \
jdom \
jmock \
junit \
log4j \
lucene \
mockrunner/mockrunner \
mx4j/mx4j-jmx \
myfaces/myfaces-all \
myfaces/myfaces-jsf-api \
nekohtml \
oro \
phpportlet \
portals-bridges/portals-bridges-common \
portals-bridges/portals-bridges-velocity \
portals-bridges/portals-bridges-frameworks \
portals-bridges/portals-bridges-jsf \
portals-bridges/portals-bridges-perl \
portals-bridges/portals-bridges-php \
portals-bridges/portals-bridges-struts \
portals-pluto/pluto \
portlet-1.0-api \
regexp \
rome \
servletapi4 \
spring11 \
struts \
struts-el \
taglibs-core \
taglibs-request \
taglibs-standard \
tyrex \
velocity \
velocity-tools \
xalan-j2 \
xerces-j2 \
xml-commons-apis \


# not needed for now, installer will not build
#izpack/standalone-compiler \

build-jar-repository .maven/repository/JPP/jars \
gnu.getopt


export MAVEN_HOME_LOCAL=$(pwd)/.maven

pushd maven-plugin
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd portlet-api
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd jetspeed-api
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd commons
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd components/cm
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd components/rewriter
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd components/id-generator
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd components/jetspeed
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd


pushd components/file-cache
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd components/header-resource
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd


pushd components/rdbms
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd components/portlet-factory
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd components/prefs
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd components/registry
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd components/capability
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd components/deploy-tool
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd components/locator
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd components/security
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd components/profiler
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd components/page-manager
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd components/sso
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd components/portal-site
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd components/search
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd components/web-content
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd content-server
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd components/portal
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd app-servers/security/jboss
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

%if %{without_apicomponly}

pushd applications/gems
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd applications/demo
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd taglibs/treecontrol
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd applications/pam
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd applications/rss
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	-Dmaven.javadoc.debug=true \
	jar:install javadoc xdoc:transform
popd

pushd applications/security
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd applications/jpetstore
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd applications/jsf-demo
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd applications/jsf-demo-myfaces
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd


pushd applications/palm
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd applications/perl
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd applications/struts-demo
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd applications/php
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd layout-portlets
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	jar:install javadoc xdoc:transform
popd

pushd design-docs
maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	xdoc:transform
popd

###################################################################

# will not build
#pushd installer
#maven \
#	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
#	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
#	jar:install javadoc xdoc:transform
#popd

#pushd archives/ApachePortals
#maven \
#	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
#	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
#	jar:install javadoc xdoc:transform
#popd

%endif

maven \
	-Dmaven.repo.remote=file:/usr/share/maven-1.0/repository \
	-Dmaven.home.local=$MAVEN_HOME_LOCAL \
	xdoc:transform



%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}

install -m 644 \
maven-plugin/target/maven-jetspeed2-plugin-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/maven-jetspeed2-plugin-%{version}.jar
install -m 644 \
jetspeed-api/target/%{bname}-api-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-api-%{version}.jar
install -m 644 \
portlet-api/target/portlet-api-1.0.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/portlet-1.0-api-%{version}.jar
install -m 644 \
commons/target/%{bname}-commons-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-commons-%{version}.jar
install -m 644 \
components/capability/target/%{bname}-capability-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-capability-%{version}.jar
install -m 644 \
components/cm/target/%{bname}-cm-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-cm-%{version}.jar
install -m 644 \
components/deploy-tool/target/%{bname}-deploy-tools-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-deploy-tools-%{version}.jar
install -m 644 \
components/file-cache/target/%{bname}-file-cache-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-file-cache-%{version}.jar
install -m 644 \
components/header-resource/target/%{bname}-header-resource-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-header-resource-%{version}.jar
install -m 644 \
components/id-generator/target/%{bname}-id-generator-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-id-generator-%{version}.jar
install -m 644 \
components/jetspeed/target/%{bname}-components-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-components-%{version}.jar
install -m 644 \
components/locator/target/%{bname}-locator-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-locator-%{version}.jar
install -m 644 \
components/page-manager/target/%{bname}-page-manager-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-page-manager-%{version}.jar
install -m 644 \
components/portal-site/target/%{bname}-portal-site-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-portal-site-%{version}.jar
install -m 644 \
components/portal/target/%{bname}-portal-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-portal-%{version}.jar
install -m 644 \
components/portlet-factory/target/%{bname}-portlet-factory-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-portlet-factory-%{version}.jar
install -m 644 \
components/prefs/target/%{bname}-prefs-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-prefs-%{version}.jar
install -m 644 \
components/profiler/target/%{bname}-profiler-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-profiler-%{version}.jar
install -m 644 \
components/rdbms/target/%{bname}-rdbms-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-rdbms-%{version}.jar
install -m 644 \
components/registry/target/%{bname}-registry-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-registry-%{version}.jar
install -m 644 \
components/rewriter/target/%{bname}-rewriter-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-rewriter-%{version}.jar
install -m 644 \
components/search/target/%{bname}-search-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-search-%{version}.jar
install -m 644 \
components/security/target/%{bname}-security-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-security-%{version}.jar
install -m 644 \
components/sso/target/%{bname}-sso-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-sso-%{version}.jar
install -m 644 \
components/web-content/target/%{bname}-web-content-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-web-content-%{version}.jar
install -m 644 \
content-server/target/content-server-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/content-server-%{version}.jar
install -m 644 \
app-servers/security/jboss/target/%{bname}-jboss-security-service-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-jboss-security-service-%{version}.jar

%if %{without_apicomponly}
# other stuff
install -m 644 \
taglibs/treecontrol/target/jetspeed2-taglib-treecontrol-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/jetspeed2-taglib-treecontrol-%{version}.jar
install -m 644 \
layout-portlets/target/%{bname}-layouts-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/%{bname}-layouts-%{version}.jar

install -m 644 \
applications/gems/target/portals-gems-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/portals-gems-%{version}.jar
install -m 644 \
applications/demo/target/demo-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/demo-%{version}.jar
install -m 644 \
applications/pam/target/pam-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/pam-%{version}.jar
install -m 644 \
applications/rss/target/rss-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/rss-%{version}.jar
install -m 644 \
applications/security/target/security-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/security-%{version}.jar
install -m 644 \
applications/jpetstore/target/jpetstore-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/jpetstore-%{version}.jar
install -m 644 \
applications/jsf-demo/target/jsf-demo-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/jsf-demo-%{version}.jar
install -m 644 \
applications/jsf-demo-myfaces/target/jsf-demo-myfaces-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/jsf-demo-myfaces-%{version}.jar
install -m 644 \
applications/palm/target/palm-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/palm-%{version}.jar
install -m 644 \
applications/perl/target/perl-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/perl-%{version}.jar
install -m 644 \
applications/struts-demo/target/struts-demo-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/struts-demo-%{version}.jar
install -m 644 \
applications/php/target/php-%{version}%{mstone}-SNAPSHOT.jar \
$RPM_BUILD_ROOT%{_javadir}/%{name}/php-%{version}.jar

%endif
# create unversioned symlinks
(cd $RPM_BUILD_ROOT%{_javadir}/%{name} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-maven-plugin-%{version}
cp -pr maven-plugin/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-maven-plugin-%{version}
ln -s %{name}-maven-plugin-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-maven-plugin

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-portlet-api-%{version}
cp -pr portlet-api/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-portlet-api-%{version}
ln -s %{name}-portlet-api-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-portlet-api # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-api-%{version}
cp -pr jetspeed-api/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-api-%{version}
ln -s %{name}-api-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-api # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-commons-%{version}
cp -pr commons/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-commons-%{version}
ln -s %{name}-commons-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-commons # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/capability
cp -pr components/capability/target/docs/apidocs/* \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/capability
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/cm
cp -pr components/cm/target/docs/apidocs/* \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/cm
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/deploy-tool
cp -pr components/deploy-tool/target/docs/apidocs/* \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/deploy-tool
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/file-cache
cp -pr components/file-cache/target/docs/apidocs/* \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/file-cache
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/header-resource
cp -pr components/header-resource/target/docs/apidocs/* \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/header-resource
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/id-generator
cp -pr components/id-generator/target/docs/apidocs/* \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/id-generator
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/jetspeed
cp -pr components/jetspeed/target/docs/apidocs/* \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/jetspeed
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/locator
cp -pr components/locator/target/docs/apidocs/* \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/locator
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/page-manager
cp -pr components/page-manager/target/docs/apidocs/* \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/page-manager
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/portal-site
cp -pr components/portal-site/target/docs/apidocs/* \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/portal-site
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/portal
cp -pr components/portal/target/docs/apidocs/* \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/portal
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/portlet-factory
cp -pr components/portlet-factory/target/docs/apidocs/* \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/portlet-factory
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/prefs
cp -pr components/prefs/target/docs/apidocs/* \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/prefs
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/profiler
cp -pr components/profiler/target/docs/apidocs/* \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/profiler
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/rdbms
cp -pr components/rdbms/target/docs/apidocs/* \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/rdbms
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/registry
cp -pr components/registry/target/docs/apidocs/* \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/registry
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/rewriter
cp -pr components/rewriter/target/docs/apidocs/* \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/rewriter
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/search
cp -pr components/search/target/docs/apidocs/* \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/search
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/security
cp -pr components/security/target/docs/apidocs/* \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/security
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/sso
cp -pr components/sso/target/docs/apidocs/* \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/sso
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/web-content
cp -pr components/web-content/target/docs/apidocs/* \
$RPM_BUILD_ROOT%{_javadocdir}/%{name}-components-%{version}/web-content

ln -s %{name}-commons-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-components # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-content-server-%{version}
cp -pr content-server/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-content-server-%{version}
ln -s %{name}-content-server-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-content-server # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-app-servers-security-jboss-%{version}
cp -pr app-servers/security/jboss/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-app-servers-security-jboss-%{version}
ln -s %{name}-app-servers-security-jboss-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-app-servers-security-jboss # ghost symlink

%if %{without_apicomponly}

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-taglibs-treecontrol-%{version}
cp -pr taglibs/treecontrol/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-taglibs-treecontrol-%{version}
ln -s %{name}-taglibs-treecontrol-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-taglibs-treecontrol # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-layout-portlets-%{version}
cp -pr layout-portlets/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-layout-portlets-%{version}
ln -s %{name}-layout-portlets-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-layout-portlets # ghost symlink

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-applications-%{version}/gems
cp -pr applications/gems/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-applications-%{version}/gems
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-applications-%{version}/demo
cp -pr applications/demo/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-applications-%{version}/demo
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-applications-%{version}/pam
cp -pr applications/pam/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-applications-%{version}/pam
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-applications-%{version}/rss
cp -pr applications/rss/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-applications-%{version}/rss
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-applications-%{version}/security
cp -pr applications/security/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-applications-%{version}/security
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-applications-%{version}/jpetstore
cp -pr applications/jpetstore/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-applications-%{version}/jpetstore
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-applications-%{version}/jsf-demo
cp -pr applications/jsf-demo/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-applications-%{version}/jsf-demo
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-applications-%{version}/palm
cp -pr applications/palm/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-applications-%{version}/palm
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-applications-%{version}/struts-demo
cp -pr applications/struts-demo/target/docs/apidocs/* \
	$RPM_BUILD_ROOT%{_javadocdir}/%{name}-applications-%{version}/struts-demo

ln -s %{name}-applications-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}-applications # ghost symlink

%endif

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp LICENSE.TXT $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr target/docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}


%clean
rm -rf $RPM_BUILD_ROOT

%post portlet-1.0-api-javadoc
rm -f %{_javadocdir}/%{name}-portlet-api
ln -s %{name}-portlet-api-%{version} %{_javadocdir}/%{name}-portlet-api

%postun portlet-1.0-api-javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}-portlet-api
fi

%post api-javadoc
rm -f %{_javadocdir}/%{name}-api
ln -s %{name}-api-%{version} %{_javadocdir}/%{name}-api

%postun api-javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}-api
fi

%post commons-javadoc
rm -f %{_javadocdir}/%{name}-commons
ln -s %{name}-commons-%{version} %{_javadocdir}/%{name}-commons

%postun commons-javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}-commons
fi

%post components-javadoc
rm -f %{_javadocdir}/%{name}-components
ln -s %{name}-components-%{version} %{_javadocdir}/%{name}-components

%postun components-javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}-components
fi

%post content-server-javadoc
rm -f %{_javadocdir}/%{name}-content-server
ln -s %{name}-content-server-%{version} %{_javadocdir}/%{name}-content-server

%postun content-server-javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}-content-server
fi

%post app-servers-javadoc
rm -f %{_javadocdir}/%{name}-app-servers
ln -s %{name}-app-servers-%{version} %{_javadocdir}/%{name}-app-servers

%postun app-servers-javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}-app-servers
fi


%files maven-plugin
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
%{_javadir}/%{name}/maven-jetspeed2-plugin*.jar

%files maven-plugin-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-maven-plugin-%{version}
%ghost %{_javadocdir}/%{name}-maven-plugin

%files portlet-1.0-api
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
%{_javadir}/%{name}/portlet-1.0-api*.jar

%files portlet-1.0-api-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-portlet-api-%{version}
%ghost %{_javadocdir}/%{name}-portlet-api

%files api
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
%{_javadir}/%{name}/jetspeed-api*.jar

%files api-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-api-%{version}
%ghost %{_javadocdir}/%{name}-api

%files commons
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
%{_javadir}/%{name}/jetspeed-commons*.jar

%files commons-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-commons-%{version}
%ghost %{_javadocdir}/%{name}-commons

%files components
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
%{_javadir}/%{name}/%{bname}-capability-%{version}.jar
%{_javadir}/%{name}/%{bname}-capability.jar
%{_javadir}/%{name}/%{bname}-cm-%{version}.jar
%{_javadir}/%{name}/%{bname}-cm.jar
%{_javadir}/%{name}/%{bname}-deploy-tools-%{version}.jar
%{_javadir}/%{name}/%{bname}-deploy-tools.jar
%{_javadir}/%{name}/%{bname}-file-cache-%{version}.jar
%{_javadir}/%{name}/%{bname}-file-cache.jar
%{_javadir}/%{name}/%{bname}-header-resource-%{version}.jar
%{_javadir}/%{name}/%{bname}-header-resource.jar
%{_javadir}/%{name}/%{bname}-id-generator-%{version}.jar
%{_javadir}/%{name}/%{bname}-id-generator.jar
%{_javadir}/%{name}/%{bname}-components-%{version}.jar
%{_javadir}/%{name}/%{bname}-components.jar
%{_javadir}/%{name}/%{bname}-locator-%{version}.jar
%{_javadir}/%{name}/%{bname}-locator.jar
%{_javadir}/%{name}/%{bname}-page-manager-%{version}.jar
%{_javadir}/%{name}/%{bname}-page-manager.jar
%{_javadir}/%{name}/%{bname}-portal-site-%{version}.jar
%{_javadir}/%{name}/%{bname}-portal-site.jar
%{_javadir}/%{name}/%{bname}-portal-%{version}.jar
%{_javadir}/%{name}/%{bname}-portal.jar
%{_javadir}/%{name}/%{bname}-portlet-factory-%{version}.jar
%{_javadir}/%{name}/%{bname}-portlet-factory.jar
%{_javadir}/%{name}/%{bname}-prefs-%{version}.jar
%{_javadir}/%{name}/%{bname}-prefs.jar
%{_javadir}/%{name}/%{bname}-profiler-%{version}.jar
%{_javadir}/%{name}/%{bname}-profiler.jar
%{_javadir}/%{name}/%{bname}-rdbms-%{version}.jar
%{_javadir}/%{name}/%{bname}-rdbms.jar
%{_javadir}/%{name}/%{bname}-registry-%{version}.jar
%{_javadir}/%{name}/%{bname}-registry.jar
%{_javadir}/%{name}/%{bname}-rewriter-%{version}.jar
%{_javadir}/%{name}/%{bname}-rewriter.jar
%{_javadir}/%{name}/%{bname}-search-%{version}.jar
%{_javadir}/%{name}/%{bname}-search.jar
%{_javadir}/%{name}/%{bname}-security-%{version}.jar
%{_javadir}/%{name}/%{bname}-security.jar
%{_javadir}/%{name}/%{bname}-sso-%{version}.jar
%{_javadir}/%{name}/%{bname}-sso.jar
%{_javadir}/%{name}/%{bname}-web-content-%{version}.jar
%{_javadir}/%{name}/%{bname}-web-content.jar

%files components-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-components-%{version}
%ghost %{_javadocdir}/%{name}-components

%files content-server
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
%{_javadir}/%{name}/content-server*.jar

%files content-server-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-content-server-%{version}
%ghost %{_javadocdir}/%{name}-content-server

%files app-servers
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
%{_javadir}/%{name}/%{bname}-jboss-security-service*.jar

%files app-servers-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-app-servers-security-jboss-%{version}
%ghost %{_javadocdir}/%{name}-app-servers-security-jboss

%if %{without_apicomponly}
%files taglibs
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
%{_javadir}/%{name}/jetspeed2-taglib-treecontrol*.jar

%files taglibs-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-taglibs-treecontrol-%{version}
%ghost %{_javadocdir}/%{name}-taglibs-treecontrol

%files layout-portlets
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
%{_javadir}/%{name}/%{bname}-layouts*.jar

%files layout-portlets-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-layout-portlets-%{version}
%ghost %{_javadocdir}/%{name}-layout-portlets

%files applications
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}/LICENSE.TXT
%{_javadir}/%{name}/portals-gems*.jar
%{_javadir}/%{name}/demo*.jar
%{_javadir}/%{name}/pam*.jar
%{_javadir}/%{name}/rss*.jar
%{_javadir}/%{name}/security*.jar
%{_javadir}/%{name}/jpetstore*.jar
%{_javadir}/%{name}/jsf-demo*.jar
%{_javadir}/%{name}/palm*.jar
%{_javadir}/%{name}/perl*.jar
%{_javadir}/%{name}/struts-demo*.jar
%{_javadir}/%{name}/php*.jar

%files applications-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-applications-%{version}
%ghost %{_javadocdir}/%{name}-applications
%endif

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}


%changelog
* Fri Oct 21 2005 Ralph Apel <r.apel at r-apel.de> 0:2.0-0.cvs20050926.1jpp
- First JPackage build
